Package org.apache.sysds.hops.rewrite

# Class RewriteGPUSpecificOps

java.lang.Object
org.apache.sysds.hops.rewrite.HopRewriteRule
org.apache.sysds.hops.rewrite.RewriteGPUSpecificOps

public class RewriteGPUSpecificOps extends HopRewriteRule

## Constructor Summary

Constructors
Constructor
Description
`RewriteGPUSpecificOps()`

## Method Summary

Modifier and Type
Method
Description
`Hop`
`rewriteHopDAG(Hop root, ProgramRewriteStatus state)`
Handle a predicate hop DAG with exactly one root.
`ArrayList<Hop>`
`rewriteHopDAGs(ArrayList<Hop> roots, ProgramRewriteStatus state)`
Handle a generic (last-level) hop DAG with multiple roots.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RewriteGPUSpecificOps

public RewriteGPUSpecificOps()

## Method Details

### rewriteHopDAGs

public ArrayList<Hop> rewriteHopDAGs(ArrayList<Hop> roots, ProgramRewriteStatus state)
Description copied from class: `HopRewriteRule`
Handle a generic (last-level) hop DAG with multiple roots.

Specified by:
  `rewriteHopDAGs` in class `HopRewriteRule`
Parameters:
  `roots` - high-level operator roots
  `state` - program rewrite status
Returns:
  list of high-level operators

### rewriteHopDAG

public Hop rewriteHopDAG(Hop root, ProgramRewriteStatus state)
Description copied from class: `HopRewriteRule`
Handle a predicate hop DAG with exactly one root.

Specified by:
  `rewriteHopDAG` in class `HopRewriteRule`
Parameters:
  `root` - high-level operator root
  `state` - program rewrite status
Returns:
  high-level operator